# Get Issues Filtered

PUT /

#### Description

Retrieves a collection of issues that match the specified filter criteria, such as status, priority, or assigned user.

Endpoint: PUT /filter
Version: 1.0
Security: oauth2

## Request fields (application/json):

  - `sourceObjects` (array)
    Example: [{"objectId":"ceb912ab-519b-11ee-a644-522476618ae8","objectType":"control"}]

  - `sourceObjects.objectType` (string)
    The type of the object.
    Enum: "audit", "connection", "control", "controlScope", "domain", "freshnessHistory", "exportFile", "label", "organization", "organizationUser", "policy", "program", "proof", "request", "requirement", "risk", "riskRegister", "section", "task", "scope", "template", "user"

  - `sourceObjects.objectId` (string)
    The unique identifier of the referenced object.

  - `sourceObjects.parentId` (string)
    The unique identifier of the parent of the referenced object.

  - `issueIds` (array)
    The list of issue identifiers to filter by.
    Example: ["ba50096d-bbfa-47af-94a7-092b0984cf35"]

  - `assigneeIds` (array)
    The list of assignee identifiers to filter issues by.
    Example: ["ad21d858-c271-4c6d-8780-fecf6b16e534"]

  - `workItemStatus` (string)
    The work item status.
    Enum: "notStarted", "inProgress", "remediated", "accepted"

  - `createdAfter` (string)
    The date after which issues were created for filtering (ISO-8601 format).
    Example: "2020-12-10T20:00:00Z"

  - `createdBefore` (string)
    The date before which issues were created for filtering (ISO-8601 format).
    Example: "2020-12-11T20:00:00Z"

  - `modifiedAfter` (string)
    The date after which issues were modified for filtering (ISO-8601 format).
    Example: "2020-12-17T20:00:00Z"

  - `modifiedBefore` (string)
    The date before which issues were modified for filtering (ISO-8601 format).
    Example: "2020-12-18T20:00:00Z"

  - `status` (string)
    The status of the object
    Enum: "active", "archived"

## Response 200 fields (application/json):

  - `id` (string)
    The unique identifier for the issue.
    Example: "f9106f7c-cedf-4003-9d4e-762128170083"

  - `orgId` (string)
    The unique identifier for the organization the issue belongs to.
    Example: "ce83e3cd-5199-11ee-a644-522476618ae8"

  - `summary` (string)
    The summary of the issue.
    Example: "Incorrect policy implementation"

  - `index` (integer)
    The index of the issue used for generating unique references/identifiers of issues.

  - `description` (string)
    The description of the issue.
    Example: "The policy implementation does not match standard operating procedures"

  - `assigneeId` (string)
    The unique identifier of the assignee for the issue.
    Example: "e99e616e-6211-22ff-b755-633587729bf9"

  - `groupId` (string)
    The unique identifier of the group assigned to the issue.

  - `priority` (string)
    The priority level.
    Enum: "highest", "high", "medium", "low", "lowest"

  - `dueDate` (string)
    The due date for resolving the issue (ISO-8601 format).
    Example: "2024-12-24T11:59:59+13:00"

  - `linkedObjects` (array)
    The list of linked objects for the issue.
    Example: [{"objectId":"9183ab44-d551-45ef-81ba-268e0617216b","objectType":"program"},{"objectId":"4941bc77-6ff7-4977-9cad-0a00fcfb71e1","objectType":"label"}]

  - `linkedObjects.objectType` (string)
    The type of the object.
    Enum: "audit", "connection", "control", "controlScope", "domain", "freshnessHistory", "exportFile", "label", "organization", "organizationUser", "policy", "program", "proof", "request", "requirement", "risk", "riskRegister", "section", "task", "scope", "template", "user"

  - `linkedObjects.objectId` (string)
    The unique identifier of the referenced object.

  - `linkedObjects.parentId` (string)
    The unique identifier of the parent of the referenced object.

  - `customFields` (array)
    Example: [{"fieldId":"ceb912ab-519b-11ee-a644-522476618ae8","fieldName":"Sponsor","fieldType":"text","textValue":"John Smith"}]

  - `customFields.fieldId` (string)
    Unique identifier for the custom field

  - `customFields.fieldName` (string)
    Name of the custom field

  - `customFields.fieldType` (string)
    Type of field
    Enum: "text", "number", "date", "user", "textSingleSelect", "textMultiSelect"

  - `customFields.numberFormat` (string)
    Format if the field type is number
    Enum: "decimal", "percentage"

  - `customFields.textValue` (string)
    Value if the field type is text

  - `customFields.numberValue` (number)
    Value if the field type is number

  - `customFields.dateValue` (string)
    Value if the field type is date

  - `customFields.userValue` (string)
    Value if the field type is user

  - `customFields.selection` (string)
    Value for textSingleSelect

  - `customFields.selections` (array)
    List of values for textMultiSelect

  - `status` (string)
    The status of the object
    Enum: "active", "archived"

  - `createdBy` (string)
    The unique identifier of the user who created the issue.
    Example: "82d7c228-8bcd-11e9-a94b-ab3de8494987"

  - `createdOn` (string)
    The date and time the issue was created (ISO-8601 format).
    Example: "2023-09-12T18:26:10.005365Z"

  - `updatedBy` (string)
    The unique identifier of the user who last updated the issue.
    Example: "82d7c228-8bcd-11e9-a94b-ab3de8494987"

  - `updatedOn` (string)
    The date and time the issue was last updated (ISO-8601 format).
    Example: "2023-09-12T18:26:10.005365Z"

  - `permissions` (array)
    The list of permissions for the issue.
    Example: []

  - `workItemStatus` (string)
    The work item status.
    Enum: "notStarted", "inProgress", "remediated", "accepted"

  - `sourceId` (string)
    The identifier of the source of the issue.
    Example: "f06fe159-e7c1-4b42-8715-5615ff50b29c"

  - `sourceType` (string)
    The type of the object.
    Enum: "audit", "connection", "control", "controlScope", "domain", "freshnessHistory", "exportFile", "label", "organization", "organizationUser", "policy", "program", "proof", "request", "requirement", "risk", "riskRegister", "section", "task", "scope", "template", "user"

  - `sourceName` (string)
    The name of the source of the issue.
    Example: "SOC2"

  - `sourceStatus` (string)
    The status of the object
    Enum: "active", "archived"

  - `impact` (string)
    The priority level.
    Enum: "highest", "high", "medium", "low", "lowest"

  - `executiveSponsor` (string)
    The executive sponsor for the issue.
    Example: "d3636cb0-10bf-45e9-abaa-b0efba75965d"

  - `businessOwner` (string)
    The business owner of the issue.
    Example: "4b81e4aa-7577-4579-b05c-bcc76af8f2f1"

  - `actionPlan` (string)
    The action plan for resolving the issue.
    Example: "Update the implementation to modern standards"

  - `discoveredOn` (string)
    The date the issue was discovered (ISO-8601 format).
    Example: "2024-11-01T00:00:01Z"

  - `closedOn` (string)
    The date and time the issue was closed (ISO-8601 format).

  - `effortLevel` (string)
    The priority level.
    Enum: "highest", "high", "medium", "low", "lowest"

  - `isPrivate` (boolean)
    Whether the issue is private.


